Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06046 Speed Major Always Oct 17, 2015, 07:05 Jan 21, 2016, 22:40
Tester r09 View Status Public Platform MESS (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.166 Fixed in Version 0.170 Build Normal
Summary MESS-specific 06046: Several drivers using mc6845.c: Speed is always 90-98% when throttled
Description The affected systems always run between 90-98% speed and never reach 100% when throttled. This also causes sound "crackling" problems.

They run unthrottled at 200-800% speed on a "Haswell" Core i7, so CPU doesn't seem to be the limiting factor.

Running them with "-video none" doesn't change the behavior.

Tested in Windows 8.1 and 10, with both 32 and 64-bit official builds. This behavior seems to have been introduced with MESS 0.154, but still exists in 0.166.

The MC6845 seems to be the only thing in common between the affected drivers, but there are other drivers using it that don't show that behavior.

Tested drivers that show this behavior:

x1.c
wangpc.c
trs80m2.c
smc777.c
abc80x.c

Tested drivers that DON'T show this behavior:

svi318.c
amstrad.c
bbc.c
kaypro.c
mbee.c
bml3.c
multi8.c
Steps To Reproduce Run any system in the affected drivers with the -throttle option on, and check the speed.
Additional Information Test results:

MAME 0.166:

D:\mame>mame64 abc802 -video none -str 20
abc p2-1.2g NOT FOUND (NO GOOD DUMP KNOWN) (tried in abc802 abc802)
pal16r4.2a NOT FOUND (NO GOOD DUMP KNOWN) (tried in abc802 abc834)
WARNING: the machine might not run correctly.
Average speed: 98.88% (19 seconds)

D:\mame>mame64 abc802 -video none -str 20 -nothrottle
abc p2-1.2g NOT FOUND (NO GOOD DUMP KNOWN) (tried in abc802 abc802)
pal16r4.2a NOT FOUND (NO GOOD DUMP KNOWN) (tried in abc802 abc834)
WARNING: the machine might not run correctly.
Average speed: 818.91% (19 seconds)

D:\mame>mame64 trs80m2 -video none -str 20
65-1991.z4 NOT FOUND (NO GOOD DUMP KNOWN) (tried in trs80m2 trs80m2kb)
WARNING: the machine might not run correctly.
Average speed: 98.53% (19 seconds)

D:\mame>mame64 smc777 -video none -str 20
i80xx NOT FOUND (NO GOOD DUMP KNOWN) (tried in smc777 smc777)
WARNING: the machine might not run correctly.
System FF W 11
Interlace off
System FF R 02
System FF W 01
System FF W 01
System FF R 01
Color FF 07
Interlace off
Average speed: 96.79% (19 seconds)

D:\mame>mame64 wangpc -video none -str 20
Average speed: 96.27% (19 seconds)

D:\mame166>mame x1 -video none -str 20
80c48 NOT FOUND (NO GOOD DUMP KNOWN) (tried in x1 x1)
ank.fnt ROM NEEDS REDUMP
WARNING: the machine might not run correctly.
Average speed: 94.14% (19 seconds)

----

MESS 0.153:

D:\mess153>mess x1 -video none -str 20
80c48 NOT FOUND (NO GOOD DUMP KNOWN) (tried in x1 x1)
ank.fnt ROM NEEDS REDUMP
WARNING: the system might not run correctly.
Average speed: 100.00% (19 seconds)

----

MESS 0.154:

D:\mess154>mess x1 -video none -str 20
80c48 NOT FOUND (NO GOOD DUMP KNOWN) (tried in x1 x1)
ank.fnt ROM NEEDS REDUMP
WARNING: the system might not run correctly.
Average speed: 92.99% (19 seconds)
Flags
Regression Version 0.154
Affected Sets / Systems Several drivers using mc6845.c
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.12077
kazblox
Tester
Oct 17, 2015, 22:52
When using Sharp X1 (x1) when throttled I got 63% to 80% with video as of MAME 0.166.
User avatar
No.12080
Tafoid
Administrator
Oct 19, 2015, 23:16
Regression traces to single line change which was supposed to fix some rather bad behavior in screen with borders:
https://github.com/mamedev/mame/commit/0fd90ee5f59b73c32d2a1e71f5560fd150b0f6ab - July 7, 2014